
public class MenuItem
{
	private String label;
	private Menu link;
	private boolean isVisible;
	
	public MenuItem(String label, Menu link)
	{
		this.label = label;
		this.link = link;
		this.isVisible = true;
	}

	public MenuItem(String label, Menu link, boolean isVisible)
	{
		this(label, link);
		this.isVisible = isVisible;
	}
	
	
	public String getLabel()
	{
		return label;
	}
	
	
	public Menu getLink()
	{
		return link;
	}

	
	public boolean isVisible()
	{
		return isVisible;
	}
	
	
	public void setVisible(boolean isVisible)
	{
		this.isVisible = isVisible;
	}
}
